html { scroll-behavior: smooth; }
body { background: #18122B; }

.border-logo{
    border-color: #FC932D;
}

/* ===== NEON TEXT ===== */
.neon-text-cyan {
    color: #67e8f9;
    /*text-shadow:*/
    /*    0 0 6px #67e8f9,*/
    /*    0 0 14px #06b6d4,*/
    /*    0 0 28px #67e8f9,*/
    /*    0 0 42px #06b6d4;*/
}

.neon-text-pink {
    color: #f472b6;
    /*text-shadow:*/
    /*    0 0 6px #f472b6,*/
    /*    0 0 14px #db2777,*/
    /*    0 0 28px #f472b6,*/
    /*    0 0 42px #db2777;*/
}

.neon-text-yellow {
    color: #ffe066;
    /*text-shadow:*/
    /*    0 0 6px #ffe066,*/
    /*    0 0 14px #ffd700,*/
    /*    0 0 28px #ffe066,*/
    /*    0 0 42px #ffd700;*/
}

/* ===== GLASS EFFECT ===== */
.glass {
    background:
        radial-gradient(circle at top left, rgba(103,232,249,0.08), transparent 55%),
        rgba(24, 18, 43, 0.82);
    backdrop-filter: blur(14px);
    border: 1.5px solid rgba(103,232,249,0.18);
}

/* ===== IMAGE TILE (ZOOM HERE) ===== */
.image-tile {
    display: block;
    width: 260px;
    max-width: 100%;
    aspect-ratio: 16 / 9;
    border-radius: 1.25rem;
    overflow: hidden;
    background: linear-gradient(135deg, #232946, #18122B 55%, #0f1021);
    box-shadow: 0 18px 45px rgba(0, 0, 0, 0.55);
    border: 1px solid rgba(103, 232, 249, 0.35);

    transition: transform 0.25s ease-out;
    will-change: transform;
}

.image-tile:hover {
    transform: scale(1.04);
}

/* ===== IMAGE (NO SCALE = NO BLUR) ===== */
.img-zoom {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 1rem;

    image-rendering: -webkit-optimize-contrast;
    backface-visibility: hidden;
    transform: translateZ(0);
}

/* ===== MENU ===== */
.menu-active {
    color: #67e8f9 !important;
    /*text-shadow:*/
    /*    0 0 6px #67e8f9,*/
    /*    0 0 14px #06b6d4,*/
    /*    0 0 28px #67e8f9,*/
    /*    0 0 42px #06b6d4;*/
}

/* ===== HERO BACKGROUND ===== */
.hero-bg {
    background-image:
        linear-gradient(to bottom, rgba(15,16,33,0.92) 0%, rgba(24,18,43,0.82) 45%, rgba(24,18,43,0.62) 100%),
        url('images/lukaszowe/zdj1.jpg');
    background-size: 100% auto;
    background-position: center;
    background-repeat: no-repeat;
}

.vehicle-tile {
    width: 100%;
}

/* ===== HOVER ONLY ON DESKTOP (opcjonalne, polecam) ===== */
@media (hover: none) {
    .image-tile:hover {
        transform: none;
    }
}

